complexType "EquityOptionTransactionSupplement"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 16 elements
Defined: | globally in fpml-eqd-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, optionType?, equityEffectiveDate?, underlyer, notional?, equityExercise, strike?, spotPrice?, numberOfOptions?, equityPremium?, (optionEntitlement | multiplier)?
</...>

Content Model Elements (16):

  embeddedOptionType,
  equityEffectiveDate,
  equityExercise (defined in EquityDerivativeBase complexType),
  equityPremium (in equityOptionTransactionSupplement),
  multiplier (in equityOptionTransactionSupplement),
  notional (defined in EquityDerivativeBase complexType),
  numberOfOptions (in equityOptionTransactionSupplement),
  optionEntitlement (in equityOptionTransactionSupplement),
  optionType (defined in EquityDerivativeBase complexType),
  primaryAssetClass (defined in Product.model group),
  productId,
  productType (defined in Product.model group),
  secondaryAssetClass,
  spotPrice (in equityOptionTransactionSupplement),
  strike (in equityOptionTransactionSupplement),
  underlyer (defined in EquityDerivativeBase complexType)

All Direct / Indirect Based Elements (1):

  equityOptionTransactionSupplement

Known Usage Locations

- As direct type of elements (1):
  equityOptionTransactionSupplement

Annotation
A type for defining equity option transaction supplements.
Type Definition Detail

Type Derivation Tree Product (extension) EquityDerivativeBase (extension) EquityDerivativeShortFormBase (extension) EquityOptionTransactionSupplement

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="EquityOptionTransactionSupplement"> <xsd:complexContent> <xsd:extension base="EquityDerivativeShortFormBase"> <xsd:sequence> <!--View Generation: SKIPPED exchangeLookAlike - Documentation--> <!--View Generation: SKIPPED exchangeTradedContractNearest - Documentation--> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: SKIPPED methodOfAdjustment - Documentation--> <!--View Generation: SKIPPED localJurisdiction - Documentation--> <xsd:choice minOccurs="0"> <xsd:element name="optionEntitlement" type="PositiveDecimal"/> <xsd:element name="multiplier" type="PositiveDecimal"/> </xsd:choice> <!--View Generation: SKIPPED extraordinaryEvents - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/16)
multiplier

  Type: | PositiveDecimal, simple content

  Specifies the contract multiplier that can be associated with an index option.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="multiplier" type="PositiveDecimal"/>

optionEntitlement

  Type: | PositiveDecimal, simple content

  The number of shares per option comprised in the option transaction supplement.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="optionEntitlement" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.